3.0.5

doctype issue

Hello,
Just testing things out I was using the free trial version to see if this product would work in our application. I noticed that I need to use specific DOCYPES for this version of AW. My app using XML and XSL to create html, I specified the HTML 4.1 Transitional Doctype and it still returns me with an error message. Is there some issue here with XSL and HTML doctypes or could something else be going on here?
Thanks,
Joe
Joe C
April 26,
Currently only 'quirks mode' doctypes are supported -

- No doctype declaration
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

Make sure you don't have URL in the doctype - those actually trigger 'standards-compliant mode'.
Alex (ActiveWidgets)
April 26,
ahh...ok...it was the URL that was messing me up. Thanks for your help Alex. Just one quick question though, will professional version support xhtml 1.1 strict?
Joe C
April 27,
The support for the strict doctypes will be added to the standard edition very soon.
Alex (ActiveWidgets)
April 27,

This topic is archived.

See also:


Back to support forum